
CoCoALib - Feature #1582

Factorization in K(a,b)[x,y]

05 Mar 2021 09:35 - John Abbott

Status: New Start date: 05 Mar 2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.20 hour

Description

Florian would like to have factorization of polynomial over a function field e.g. QQ(a,b)[x,y].

This would also permit implementation of primary decomposition for general ideals (not just 0-dim).

Related issues:

Related to CoCoALib - Feature #1580: New fn prim for polys Closed 25 Feb 2021

History

#1 - 05 Mar 2021 09:37 - John Abbott

Presumably the following approach should work:

map into K[a,b,x,y] after clearing denoms

discard any factors not involving x,y via a content computation

factorize in K[a,b,x,y]

map factors back into original ring

Looks easy!  Well, not too horribly hard...

#2 - 12 Mar 2021 09:24 - John Abbott

- Related to Feature #1580: New fn prim for polys added

#3 - 07 Mar 2024 20:23 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900
